Skip to main content

Get a lease by ID

GEThttps://api.propexo.com/v1/leases/:lease_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the lease

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v1/leasesLeases
    Example: 1237981
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v1/leasesLeases
    Example: 65412321
    x_resident_idnullrequireddeprecated

    Deprecated. Use residents_meta_data instead

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    MethodInterface
    /v1/leasesLeases
    Example: 5613212
    residents_meta_data object[]

    Known associated resident meta data

  • Array [
  • resident_idstringrequired

    The Propexo unique identifier for the resident

    MethodInterface
    /v1/leasesLeases
    Example: cm0y7ht1h64902650331vw7uaq1fhs24i
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    MethodInterface
    /v1/leasesLeases
    Example: Primary
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    MethodInterface
    /v1/leasesLeases
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datenullrequired

    The move-in date associated with the resident

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    move_out_datenullrequired

    The move-out date associated with the resident

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    notice_datenullrequired

    The date the resident gave notice

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    custom_dataobject | nullnullablerequired
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • application_datenullrequired

    The application date associated with the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    custom_dataobject | nullnullablerequired
    deposit_amountnullrequired

    The deposit amount associated with the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    deposit_amount_in_centsnullrequired

    The deposit amount in cents associated with the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    deposit_datenullrequired

    The deposit date associated with the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    end_datestring | nullnullablerequired

    The end date associated with the lease

    MethodInterface
    /v1/leasesLeases
    Example: 2024-06-27T00:00:00.000Z
    realized_move_in_datestring | nullnullablerequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move in dates

    MethodInterface
    /v1/leasesLeases
    realized_move_out_datestring | nullnullablerequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move out dates

    MethodInterface
    /v1/leasesLeases
    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the lease

    MethodInterface
    /v1/leasesLeases
    Example: 150000
    rent_amount_market_in_centsnullrequired

    The market rent amount in cents for the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    rent_due_daynullrequired

    The rent due day associated with the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    rent_due_datenullrequired

    The rent due date associated with the lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    scheduled_move_in_datenullrequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move in dates

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    scheduled_move_out_datestring | nullnullablerequireddeprecated

    DEPRECATED: Please use residents_meta_data to view resident move out dates

    MethodInterface
    /v1/leasesLeases
    signature_datestring | nullnullablerequired

    The date the lease was signed

    MethodInterface
    /v1/leasesLeases
    Example: 2024-03-14T00:00:00.000Z
    start_datestring | nullnullablerequired

    The start date associated with the lease

    MethodInterface
    /v1/leasesLeases
    Example: 2023-06-30T00:00:00.000Z
    statusnullrequireddeprecated

    DEPRECATED. Use status_normalized

    Important

    Deprecated in favor of status_normalized and status_raw

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    status_normalizedstring | nullnullablerequired

    The normalized status for the lease. Note that the status may be called "EVICTED" but this can also refer to an active resident undergoing a current eviction. This varies per PMS.

    MethodInterface
    /v1/leasesLeases
    Show 5 enum values
    ACTIVEEVICTEDINACTIVEOTHERPENDING
    Example: OTHER
    status_rawstring | nullnullablerequired

    The raw status associated with the lease

    MethodInterface
    /v1/leasesLeases
    Example: Draft
    termnullrequired

    The lease term

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    typenullrequired

    The type of lease

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    unit_numbernullrequired

    The unit number associated with the lease. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    write_off_amount_in_centsnullrequired

    The write off amount for the lease, in cents

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    write_off_amount_rawnullrequired

    The raw write off amount of the lease from the PMS

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    balance_amount_in_centsnullrequired

    The balance amount for the lease, in cents

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    balance_amount_rawnullrequired

    The raw balance amount of the lease from the PMS

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    past_due_balance_in_centsnullrequired

    The past due balance for the lease, in cents

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    past_due_balance_rawnullrequired

    The raw past due balance of the lease from the PMS

    Notice

    This field will always be null for PROPERTYWARE_REST

    Example: null
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    MethodInterface
    /v1/leasesLeases
    Example: clxkwu2m60008t3oza63zbjzp
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum18required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: PROPERTYWARE_REST
    services object[]required

    List of services related to the lease

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lease service

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    namestringrequired

    The name of the lease service

    Notice

    This field is not currently hydrated for PROPERTYWARE_REST

    lease_idstringrequired

    The Propexo unique identifier for the lease

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leases/:lease_id
curl https://api.propexo.com/v1/leases/:lease_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1237981",
"x_property_id": "65412321",
"x_unit_id": "5613212",
"residents_meta_data": [
{
"resident_id": "cm0y7ht1h64902650331vw7uaq1fhs24i",
"x_resident_type": "Primary",
"resident_type_normalized": "PRIMARY",
"move_in_date": null,
"move_out_date": null,
"notice_date": null,
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"application_date": null,
"custom_data": "Unknown Type: object,null",
"deposit_amount": null,
"deposit_amount_in_cents": null,
"deposit_date": null,
"end_date": "2024-06-27T00:00:00.000Z",
"rent_amount_in_cents": 150000,
"rent_amount_market_in_cents": null,
"rent_due_day": null,
"rent_due_date": null,
"signature_date": "2024-03-14T00:00:00.000Z",
"start_date": "2023-06-30T00:00:00.000Z",
"status_normalized": "OTHER",
"status_raw": "Draft",
"term": null,
"type": null,
"unit_number": null,
"write_off_amount_in_cents": null,
"write_off_amount_raw": null,
"balance_amount_in_cents": null,
"balance_amount_raw": null,
"past_due_balance_in_cents": null,
"past_due_balance_raw": null,
"unit_id": "clxkwu2m60008t3oza63zbjzp",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE_REST",
"services": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"name": "string",
"lease_id": "string"
}
]
}
}